package com.ruoyi.web.work.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 微生物报告NTE
 */
@Data
@TableName(value = "tb_microbial_report")
@Accessors(chain = true)
public class MicrobialReport {

    private Long id;
    private Long obrId;
    @ApiModelProperty(value = "药敏方法")
    private String methods;
    @ApiModelProperty(value = "耐药机制")
    private String mechanism;
    @ApiModelProperty(value = "药敏结果")
    private String sensitivityResults;
    @ApiModelProperty(value = "抗生素代码")
    private String antibioticCode;
    @ApiModelProperty(value = "抗生素名称")
    private String antibioticName;

    @ApiModelProperty(value = "检测结果")
    private String testResult;

    @ApiModelProperty(value = "菌落计数")
    private String colonyCount;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;


    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
