package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.framework.web.domain.server.Sys;
import com.ruoyi.web.work.domain.Knowledge;
import com.ruoyi.web.work.domain.vo.KnowledgeVoList;
import com.ruoyi.web.work.mapper.KnowledgeMapper;
import com.ruoyi.web.work.service.IKnowledgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

import static com.ruoyi.common.utils.SecurityUtils.getLoginUser;

/**
 * @author lsw
 * @date 2024-07-10
 */
@Service
public class KnowledgeServiceImpl extends ServiceImpl<KnowledgeMapper, Knowledge> implements IKnowledgeService {
    @Autowired
    private KnowledgeMapper knowledgeMapper;

    @Override
    public List<Knowledge> indexList() {
        return knowledgeMapper.indexList();
    }

    @Override
    public List<KnowledgeVoList> selectAppList(Knowledge knowledge) {
        return knowledgeMapper.selectAppList(knowledge);
    }

    @Override
    @DataScope(deptAlias = "k",userAlias = "k")
    public List<Knowledge> selectList(Knowledge knowledge) {
        // 获取当前用户
        LoginUser loginUser = getLoginUser();
        Long userId = loginUser.getUserId(); // 获取用户ID
        knowledge.setState(0);
        knowledge.setUserId(userId);
//        判断是否属于管理员
        if (SecurityUtils.isAdmin(userId)){
            //查询全部数据
            HashMap<String, Object> map = new HashMap<>();
            map.put("admin",0);
            knowledge.setParams(map);
            knowledge.setUserId(null);
        }
        return knowledgeMapper.selectList(knowledge);
    }

    @Override
    public AjaxResult detail(Long id) {
        Knowledge knowledge = getById(id);
        if (knowledge == null || knowledge.getState() != 0) {
            return AjaxResult.error("知识不存在或被下架");
        }
        return AjaxResult.success(knowledge);
    }
}
